<?php
	class Data{
		function Data(){
			
		}
		
		static function isEmpty ( $var, $returnIfEmpty ) {
			if ( empty ( $var ) == false) {
				return $var;
			} else {
				return $returnIfEmpty;
			}
		}

		
		static function isNull ( $var, $returnIfNull = NULL ){
			if ( is_null ( $var ) == false ){
				return $var;
			} else {
				return $returnIfNull;
			}
		}
		
		static function isFalse ( $var, $returnIfFalse = NULL ){
			if ( $var == false ){
				return $var;
			} else {
				return $returnIfFalse;
			}
		}
		
		static function getCookie($var, $default=NULL){
			if(isset($_COOKIE[$var])===true && empty($_COOKIE[$var])===false){
				return $_COOKIE[$var];
			}else{
				return $default;
			}
		}

		
		static function getGet($var, $default=NULL){
			if(isset($_GET[$var])===true && empty($_GET[$var])===false){
				return $_GET[$var];
			}else{
				return $default;
			}
		}
		
		
		static function getPost( $var, $default = NULL ){
			if( isset( $_POST[ $var ])===true && empty( $_POST[ $var ] ) === false ){
				return $_POST[ $var ];
			}else{
				return $default;
			}
		}
		
		
		static function getSession($var, $default=NULL){
			if(isset($_SESSION[$var])===true && empty($_SESSION[$var])===false){
				return $_SESSION[$var];
			}else{
				return $default;
			}
		}
		
		static function UnixTimestampToDate( $timestamp, $format = _DEFAULT_DATE_FULL_FORMAT ){
			$date = new DateTime();
			$date->setTimestamp( $timestamp );
			return $date->format( $format );
			unset( $date );
		}
		
		
		static function DateToUnixTimestamp( $string_date, $format = _DEFAULT_DATE_SHORT_FORMAT ){
			$date = DateTime::createFromFormat( $format, $string_date );
			if( $date != false ){
				return $date->getTimestamp();
			} else {
				return NULL;
			}
			unset( $date );
		}
		
		function getData($var, $default=NULL){
			if(isset($var)===true && empty($var)===false){
				return $var;
			}else{
				return $default;
			}
		}
	}
